import { AfterViewInit, EventEmitter, OnDestroy, Renderer2 } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class CheckboxGroupComponent implements AfterViewInit, OnDestroy, ControlValueAccessor {
    private renderer;
    /**
     * Sets "name" attribute for inner input element of nui-checkbox
     */
    name: string;
    /**
     * Stores values from selected nui-checkboxes children components
     */
    values: any[];
    /**
     * Is emitted when nui-checkbox is selected
     */
    valuesChange: EventEmitter<any[]>;
    /**
     * CheckboxGroupComponent children array from CheckboxComponent items
     */
    private children;
    /**
     * Input to set aria label text
     */
    ariaLabel: string;
    /**
     * Input to set aria label text
     */
    ariaLabeledby: string;
    private subscriptionsArray;
    private disabled;
    constructor(renderer: Renderer2);
    /**
     * Subscribe to nui-checkbox-group children values change
     */
    ngAfterViewInit(): void;
    onChange(value: any[]): void;
    onTouched(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: any[]) => {}): void;
    registerOnTouched(fn: () => {}): void;
    setDisabledState(isDisabled: boolean): void;
    /**
     * Unsubscribe from valuesChange event
     */
    ngOnDestroy(): void;
    private subscribeToCheckboxEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxGroupComponent, "nui-checkbox-group", never, { "name": "name"; "values": "values"; "ariaLabel": "ariaLabel"; "ariaLabeledby": "ariaLabeledby"; }, { "valuesChange": "valuesChange"; }, ["children"], ["*"], false, never>;
}
